# geos::index::chain Namespace Reference

Contains classes that implement Monotone Chains. More...

## Classes

class | MonotoneChain
| MonotoneChains are a way of partitioning the segments of a linestring to allow for fast searching of intersections. More...
class | MonotoneChainBuilder
| A MonotoneChainBuilder implements functions to determine the monotone chains in a sequence of points. More...
class | MonotoneChainOverlapAction
class | MonotoneChainSelectAction

## Detailed Description

Contains classes that implement Monotone Chains.